### Virtual Method

# Gio MenuModel iterate_item_links

since: 2.32

#### Declaration

    GMenuLinkIter*
    iterate_item_links (
      GMenuModel* model,
      gint item_index
    )

#### Description

Creates a `GMenuLinkIter` to iterate over the links of the item at position `item_index` in `model`.

You must free the iterator with `g_object_unref()` when you are done.

Available since: 2.32

#### Parameters

`item_index`

  Type: `gint`

  The index of the item.

#### Return value

Type: `GMenuLinkIter`

A new `GMenuLinkIter`.

The caller of the function takes ownership of the data, and is responsible for freeing it.